Updates and provisions an existing Group of Users. The request should include any properties to be set on the Group. Any property not provided would leave the value blank or use defaults.
The list of members could be empty or not present. Members are referenced with the identifierField, by either:
emailiduserName(the default if noidentifierFieldis included)
This operation is asynchronous, the response will not include the list of members.
A JobId will be in the response's meta, to be able to get a JobReport ( GET /v2/Groups/JobReport/{jobId}).
Indexing a Group's Users can take some time.
Security
oauth2_as_a_server(Required scopes: groups.write) or oauth2_as_a_user(Required scopes: groups.write)
- US1https://partner.socialchorus.com/scim/v2/Groups/{group_id}
- US2https://partner.us2.onfirstup.com/scim/v2/Groups/{group_id}
- EUhttps://partner.onfirstup.eu/scim/v2/Groups/{group_id}
curl -i -X PUT \
'https://partner.socialchorus.com/scim/v2/Groups/{group_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"displayName": "Group of specific users",
"description": "Group of iOS users from partner domain",
"SocialChorus:1.0:Group": {
"identifierField": "userName"
},
"externalId": "1234qweasd567",
"members": [
{
"value": "username3"
},
{
"value": "username4"
},
{
"value": "username33"
}
]
}'Group updated
List of Schemas
Example:
[ "urn:ietf:params:scim:schemas:core:2.0:Group", "SocialChorus:1.0:Group" ]
ID from provisioning system. This is the resource ID on the client system, not Firstup's ID.
Example:"1234qweasd567"
Response
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group", "SocialChorus:1.0:Group" ], "id": 115, "name": "group_of_users", "displayName": "Group of users", "externalId": "1234qweasd567", "description": "Group of iOS users from partner domain", "members": [], "meta": { "resourceType": "Group", "created": "2022-05-13T13:32:00.598Z", "lastModified": "2022-05-13T13:32:00.598Z", "location": "https://partner.socialchorus.com/scim/v2/Groups/115", "jobId": 4567 }, "SocialChorus:1.0:Group": {} }